# Copyright Axolotlily 2022
# — What you CAN do with these functions —
# 1. Customise them for PERSONAL use.
# 2. Use them in custom maps, but give credit.
# 3. Showcase a custom or regular version on Youtube and other platforms, but link to the ORIGINAL pack and creator, Axolotlily.
# 4. Create modified versions of this pack with new or custom weapons from other addons. But link to my original source.
# 5. Release modified versions with my permission and fair evidence that I allowed you to do it.
# — What you CANNOT do with these functions —
# 1. Pirate this addon and claim it is yours.
# 2. Release modified versions publicly without a link to the original pack and creator, Axolotlily.
# 3. Showcase or use the addon on Youtube and other platforms without credit to the original pack or creator, Axolotlily.
# 4. Create custom download links in videos without any permission, link to the original download link or I will take legal actions against you.
# 5. Create linkvertise, adfly or any type of profitable or indirect download links unless permitted by me.
# 6. Release a modified version without my permission.
# If you have any inquiries, contact me through discord. Direct message me at Axolotlily#3810.

# —————— Player Vision Detection ——————
execute as @a[tag=killaura,tag=!hitvision] run tag @e[type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,r=35] remove hitrangefalse
execute as @a[tag=killaura,tag=hitvision] run tag @e[type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,r=20] add hitrangefalse
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^0.0625 run tag @e[r=0.0325] remove hitrangefalse
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^0.125 run tag @e[r=0.075] remove hitrangefalse
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^0.25 run tag @e[r=0.15] remove hitrangefalse
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^0.5 run tag @e[r=0.3] remove hitrangefalse
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^0.75 run tag @e[r=0.45] remove hitrangefalse
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^1 run tag @e[r=0.6] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^1.25 run tag @e[r=0.75] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^1.5 run tag @e[r=0.9] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^1.75 run tag @e[r=1.05] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^2 run tag @e[r=1.2] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^2.25 run tag @e[r=1.35] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^2.5 run tag @e[r=1.5] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^2.75 run tag @e[r=1.65] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^3 run tag @e[r=1.8] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^3.25 run tag @e[r=1.95] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^3.5 run tag @e[r=2.1] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^3.75 run tag @e[r=2.25] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^4 run tag @e[r=2.4] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^4.25 run tag @e[r=2.55] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^4.5 run tag @e[r=2.7] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^4.75 run tag @e[r=2.85] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^5 run tag @e[r=3] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^5.25 run tag @e[r=3.15] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^5.5 run tag @e[r=3.3] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^5.75 run tag @e[r=3.45] remove hitrangefalse 
execute as @a[tag=killaura,tag=hitvision] positioned ^ ^ ^6 run tag @e[r=3.6] remove hitrangefalse

# —————— Tick Timed Actions  ——————
# DO NOT EDIT UNLESS YOU HAVE KNOWLEDGE OF PLAYANIMATION AND THE SCOREBOARDS USED!!

tickingarea add circle 0 200 0 4 checkcore1
execute as @r if block 0 200 0 air run tag @r[tag=killaura] add core1
execute as @a[tag=core1] run setblock 0 200 0 barrier 0

scoreboard objectives add Timer2 dummy Timer2(3)

scoreboard objectives add Timer3 dummy Timer3(4)

scoreboard objectives add Timer4 dummy Timer4(6)

scoreboard players add @a[tag=core1] Timer2 1

scoreboard players add @a[tag=core1] Timer3 1

scoreboard players add @a[tag=core1] Timer4 1

# minecraft:critical_hit_emitter

execute as @a[tag=core1,scores={Timer4=5}] as execute @e[tag=killaura,type=player] if block ~ ~-0.05 ~ air as @e[type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,r=5.6,type=!player] run particle minecraft:critical_hit_emitter ~ ~1.4 ~

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player] if block ~ ~-0.05 ~ air as @e[type=player,m=!c,tag=!exclude,r=5.6,tag=!killaura] run particle minecraft:critical_hit_emitter ~ ~1.4 ~

execute as @a[tag=core1,scores={Timer3=3}] as @e[type=!player,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] run playanimation @e[tag=killaura,type=player,r=6.1] animation.armor_stand.salute_pose animation.humanoid.brandish_spear 0.194 

execute as @a[tag=core1,scores={Timer3=3}] as @e[type=player,m=!c,tag=!exclude,tag=!killaura] run playanimation @e[tag=killaura,type=player,r=6.1] animation.armor_stand.salute_pose animation.humanoid.brandish_spear 0.194 

# TICKDELAY 4

execute as @a[tag=core1,scores={Timer2=2}] as @e[tag=killaura,type=player] run effect @e[type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,r=5.3,type=!player] levitation 1 3 true

execute as @a[tag=core1,scores={Timer2=2}] as @e[tag=killaura,type=player] run effect @e[r=5.3,type=player,m=!c,tag=!exclude,tag=!killaura] levitation 1 3 true

execute as @a[tag=core1,scores={Timer2=3}] as @e[tag=killaura,type=player] run effect @e[type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,r=9] levitation 0 0 true


# —————— Critical Hit Damage Calculation ——————

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=wooden_sword,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=golden_sword,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=stone_sword,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 9 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=iron_sword,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 10 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=diamond_sword,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 12 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=netherite_sword,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 13 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=wooden_axe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=golden_axe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=stone_axe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=netherite_axe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 12 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=iron_axe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 9 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=diamond_axe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 10 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=wooden_pickaxe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=golden_pickaxe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=stone_pickaxe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=iron_pickaxe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=diamond_pickaxe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 9 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=netherite_pickaxe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 10 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=trident,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 10 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=wooden_shovel,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 3 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=golden_shovel,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 3 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=stone_shovel,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=iron_shovel,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=diamond_shovel,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=netherite_shovel,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 9 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=wooden_hoe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=golden_hoe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=stone_hoe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=iron_hoe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=diamond_hoe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 9 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,hasitem={item=netherite_hoe,location=slot.weapon.mainhand}] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 10 entity_attack entity @s

execute as @a[tag=core1,scores={Timer4=5}] as @e[tag=killaura,type=player,tag=item1] if block ~ ~-0.05 ~ air run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 2 entity_attack entity @s

# —————— Killaura Damage Calculation Functions ——————
# You really shouldn’t mess with these unless you are sure you know how much damage each item does per hit.

execute as @e[tag=killaura,type=player,hasitem={item=wooden_sword,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 5 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=golden_sword,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 5 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=stone_sword,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=iron_sword,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=diamond_sword,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 8 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=netherite_sword,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 9 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=wooden_axe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=golden_axe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=stone_axe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 5 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=netherite_axe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 8 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=iron_axe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=diamond_axe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=wooden_pickaxe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 3 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=golden_pickaxe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 3 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=stone_pickaxe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=iron_pickaxe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 5 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=diamond_pickaxe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=netherite_pickaxe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=trident,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=wooden_shovel,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 2 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=golden_shovel,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 2 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=stone_shovel,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 3 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=iron_shovel,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=diamond_shovel,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 5 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=netherite_shovel,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=wooden_hoe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 3 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=golden_hoe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 3 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=stone_hoe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=iron_hoe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 5 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=diamond_hoe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s

execute as @e[tag=killaura,type=player,hasitem={item=netherite_hoe,location=slot.weapon.mainhand}] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s

execute as @e[tag=killaura,type=player,tag=item1] run damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 1 entity_attack entity @s

scoreboard players set @a[tag=core1,scores={Timer2=3}] Timer2 0
scoreboard players set @a[tag=core1,scores={Timer2=4..}] Timer2 0

scoreboard players set @a[tag=core1,scores={Timer3=4}] Timer3 0
scoreboard players set @a[tag=core1,scores={Timer3=5..}] Timer3 0

scoreboard players set @a[tag=core1,scores={Timer4=6}] Timer4 0
scoreboard players set @a[tag=core1,scores={Timer4=7..}] Timer4 0

execute as @a[tag=killaura,tag=item1] run tag @s add item1

execute as @a[tag=killaura,tag=!hide,tag=!hashackedbefore] run title @s actionbar §bKillaura §a[ON]§r

execute as @a[tag=killaura,tag=!hashackedbefore] run tag @s add hashackedbefore

execute as @a[tag=!killaura,tag=hashackedbefore,tag=!hide] run title @s actionbar §bKillaura §c[OFF]§r

execute as @a[tag=!killaura,tag=hashackedbefore] run tag @a remove hashackedbefore