# Copyright Axolotlily 2022
# — What you CAN do with these functions —
# 1. Customise them for PERSONAL use.
# 2. Use them in custom maps, but give credit.
# 3. Showcase a custom or regular version on Youtube and other platforms, but link to the ORIGINAL pack and creator, Axolotlily.
# 4. Create modified versions of this pack with new or custom weapons from other addons. But link to my original source.
# 5. Release modified versions with my permission and fair evidence that I allowed you to do it.
# — What you CANNOT do with these functions —
# 1. Pirate this addon and claim it is yours.
# 2. Release modified versions publicly without a link to the original pack and creator, Axolotlily.
# 3. Showcase or use the addon on Youtube and other platforms without credit to the original pack or creator, Axolotlily.
# 4. Create custom download links in videos without any permission, link to the original download link or I will take legal actions against you.
# 5. Create linkvertise, adfly or any type of profitable or indirect download links unless permitted by me.
# 6. Release a modified version without my permission.
# If you have any inquiries, contact me through discord. Direct message me at Axolotlily#3810.

# —————— Player Vision Detection ——————

execute @a[tag=!killaura,tag=!setupdone,tag=!item1] ~ ~ ~ tag @s add item1
execute @a[tag=!killaura,tag=!setupdone] ~ ~ ~ tag @s add setupdone

execute @a[tag=killaura,tag=hitvision] ~ ~ ~ tag @e[type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,r=20] add hitrangefalse
execute @a[tag=killaura] ^ ^ ^0.0625 tag @e[r=0.04] remove hitrangefalse
execute @a[tag=killaura] ^ ^ ^0.125 tag @e[r=0.11] remove hitrangefalse
execute @a[tag=killaura] ^ ^ ^0.25 tag @e[r=0.24] remove hitrangefalse
execute @a[tag=killaura] ^ ^ ^0.5 tag @e[r=0.49] remove hitrangefalse
execute @a[tag=killaura] ^ ^ ^0.75 tag @e[r=0.6] remove hitrangefalse
execute @a[tag=killaura] ^ ^ ^1 tag @e[r=0.65] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^1.25 tag @e[r=0.75] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^1.5 tag @e[r=0.9] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^1.75 tag @e[r=1.05] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^2 tag @e[r=1.2] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^2.25 tag @e[r=1.35] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^2.5 tag @e[r=1.5] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^2.75 tag @e[r=1.65] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^3 tag @e[r=1.65] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^3.25 tag @e[r=1.65] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^3.5 tag @e[r=1.65] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^3.75 tag @e[r=1.65] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^4 tag @e[r=1.65] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^4.25 tag @e[r=1.65] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^4.5 tag @e[r=1.65] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^4.75 tag @e[r=1.65] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^5 tag @e[r=1.65] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^5.25 tag @e[r=1.67] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^5.5 tag @e[r=1.7] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^5.75 tag @e[r=1.75] remove hitrangefalse 
execute @a[tag=killaura] ^ ^ ^6 tag @e[r=1.77] remove hitrangefalse

# —————— Tick Timed Actions  ——————
# DO NOT EDIT UNLESS YOU HAVE KNOWLEDGE OF PLAYANIMATION AND THE SCOREBOARDS USED!!

tickingarea add circle 0 200 0 4 checkcore1
execute @r ~ ~ ~ detect 0 200 0 air 0 tag @r[tag=killaura] add core1
execute @a[tag=core1] ~ ~ ~ setblock 0 200 0 barrier 0

scoreboard objectives add Timer2 dummy Timer2(3)

scoreboard objectives add Timer3 dummy Timer3(4)

scoreboard objectives add Timer4 dummy Timer4(6)

scoreboard players add @a[tag=core1] Timer2 1

scoreboard players add @a[tag=core1] Timer3 1

scoreboard players add @a[tag=core1] Timer4 1

# minecraft:critical_hit_emitter

execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,type=player] ~ ~ ~ detect ~ ~-0.05 ~ air 0 execute @e[type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,r=5.6,type=!player,tag=!hitrangefalse] ~ ~ ~ particle minecraft:critical_hit_emitter ~ ~1.4 ~

execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,type=player] ~ ~ ~ detect ~ ~-0.05 ~ air 0 execute @e[type=player,m=!c,tag=!exclude,r=5.6,tag=!killaura,tag=!hitrangefalse] ~ ~ ~ particle minecraft:critical_hit_emitter ~ ~1.4 ~

execute @a[tag=core1,scores={Timer3=3}] ~ ~ ~ execute @e[type=!player,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] ~ ~ ~ playanimation @e[tag=killaura,type=player,r=6.1] animation.armor_stand.salute_pose animation.humanoid.brandish_spear 0.194 

execute @a[tag=core1,scores={Timer3=3}] ~ ~ ~ execute @e[type=player,m=!c,tag=!exclude,tag=!killaura,tag=!hitrangefalse] ~ ~ ~ playanimation @e[tag=killaura,type=player,r=6.1] animation.armor_stand.salute_pose animation.humanoid.brandish_spear 0.194 

# TICKDELAY 4

execute @a[tag=core1,scores={Timer2=2}] ~ ~ ~ execute @e[tag=killaura,type=player] ~ ~ ~ effect @e[type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,r=9] levitation 0 0 true


# —————— Critical Hit Damage Calculation For Hit Vision ——————

execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=wooden_sword,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=golden_sword,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=stone_sword,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 9 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=iron_sword,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 10 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=diamond_sword,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 12 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=netherite_sword,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 13 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=wooden_axe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=golden_axe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=stone_axe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=netherite_axe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 12 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=iron_axe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 9 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=diamond_axe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 10 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=wooden_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=golden_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=stone_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=iron_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=diamond_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 9 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=netherite_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 10 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=trident,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 10 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=wooden_shovel,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 3 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=golden_shovel,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 3 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=stone_shovel,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=iron_shovel,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=diamond_shovel,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=netherite_shovel,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 9 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=wooden_hoe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=golden_hoe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=stone_hoe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=iron_hoe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=diamond_hoe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 9 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=netherite_hoe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 10 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=hitvision,type=player,tag=item1] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 2 entity_attack entity @s

# —————— Killaura Damage Calculation Functions For Hit Vision ——————
# You really shouldn’t mess with these unless you are sure you know how much damage each item does per hit.

execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=wooden_sword,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 5 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=golden_sword,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 5 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=stone_sword,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=iron_sword,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=diamond_sword,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 8 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=netherite_sword,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 9 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=wooden_axe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=golden_axe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=stone_axe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 5 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=netherite_axe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 8 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=iron_axe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=diamond_axe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=wooden_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 3 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=golden_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 3 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=stone_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=iron_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 5 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=diamond_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=netherite_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=trident,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=wooden_shovel,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 2 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=golden_shovel,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 2 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=stone_shovel,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 3 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=iron_shovel,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=diamond_shovel,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 5 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=netherite_shovel,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=wooden_hoe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 3 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=golden_hoe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 3 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=stone_hoe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 4 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=iron_hoe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 5 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=diamond_hoe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 6 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,hasitem={item=netherite_hoe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 7 entity_attack entity @s
execute @e[tag=killaura,tag=hitvision,type=player,tag=item1] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,tag=!hitrangefalse] 1 entity_attack entity @s

# —————— Critical Hit Damage Calculation ——————

execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=wooden_sword,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 7 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=golden_sword,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 7 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=stone_sword,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 9 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=iron_sword,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 10 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=diamond_sword,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 12 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=netherite_sword,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 13 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=wooden_axe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 6 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=golden_axe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 6 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=stone_axe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 7 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=netherite_axe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 12 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=iron_axe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 9 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=diamond_axe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 10 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=wooden_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 4 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=golden_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 4 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=stone_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 6 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=iron_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 7 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=diamond_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 9 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=netherite_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 10 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=trident,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 10 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=wooden_shovel,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 3 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=golden_shovel,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 3 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=stone_shovel,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 4 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=iron_shovel,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 6 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=diamond_shovel,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 7 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=netherite_shovel,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 9 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=wooden_hoe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 4 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=golden_hoe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 4 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=stone_hoe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 6 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=iron_hoe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 7 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=diamond_hoe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 9 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=netherite_hoe,location=slot.weapon.mainhand}] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 10 entity_attack entity @s
execute @a[tag=core1,scores={Timer4=5}] ~ ~ ~ execute @e[tag=killaura,tag=!hitvision,type=player,tag=item1] ~ ~ ~ detect ~ ~-0.05 ~ air 0 damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 2 entity_attack entity @s

# —————— Killaura Damage Calculation Functions ——————
# You really shouldn’t mess with these unless you are sure you know how much damage each item does per hit.

execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=wooden_sword,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 5 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=golden_sword,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 5 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=stone_sword,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 6 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=iron_sword,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 7 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=diamond_sword,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 8 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=netherite_sword,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 9 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=wooden_axe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 4 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=golden_axe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 4 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=stone_axe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 5 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=netherite_axe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 8 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=iron_axe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 6 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=diamond_axe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 7 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=wooden_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 3 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=golden_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 3 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=stone_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 4 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=iron_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 5 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=diamond_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 6 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=netherite_pickaxe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 7 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=trident,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 7 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=wooden_shovel,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 2 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=golden_shovel,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 2 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=stone_shovel,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 3 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=iron_shovel,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 4 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=diamond_shovel,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 5 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=netherite_shovel,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 6 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=wooden_hoe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 3 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=golden_hoe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 3 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=stone_hoe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 4 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=iron_hoe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 5 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=diamond_hoe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 6 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,hasitem={item=netherite_hoe,location=slot.weapon.mainhand}] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 7 entity_attack entity @s
execute @e[tag=killaura,tag=!hitvision,type=player,tag=item1] ~ ~ ~ damage @e[r=5.3,type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart] 1 entity_attack entity @s


scoreboard players set @a[tag=core1,scores={Timer2=3}] Timer2 0
scoreboard players set @a[tag=core1,scores={Timer2=4..}] Timer2 0

scoreboard players set @a[tag=core1,scores={Timer3=4}] Timer3 0
scoreboard players set @a[tag=core1,scores={Timer3=5..}] Timer3 0

scoreboard players set @a[tag=core1,scores={Timer4=6}] Timer4 0
scoreboard players set @a[tag=core1,scores={Timer4=7..}] Timer4 0

execute @a[tag=item1,tag=!hide,tag=!hasusedweaponsonly] ~ ~ ~ title @s actionbar §bPixel§eAura §fWeapons Only §c[OFF]§r
execute @a[tag=item1,tag=!hasusedweaponsonly] ~ ~ ~ tag @s add hasusedweaponsonly
execute @a[tag=!item1,tag=hasusedweaponsonly,tag=!hide] ~ ~ ~ title @s actionbar §bPixel§eAura §fWeapons Only §a[ON]§r
execute @a[tag=!item1,tag=hasusedweaponsonly] ~ ~ ~ tag @a remove hasusedweaponsonly

execute @a[tag=hitvision,tag=!hide,tag=!hasusedhitvision] ~ ~ ~ title @s actionbar §bPixel§eAura §fHit Vision §a[ON]§r
execute @a[tag=hitvision,tag=!hasusedhitvision] ~ ~ ~ tag @s add hasusedhitvision
execute @a[tag=!hitvision,tag=hasusedhitvision,tag=!hide] ~ ~ ~ title @s actionbar §bPixel§eAura §fHit Vision §c[OFF]§r
execute @a[tag=!hitvision,tag=hasusedhitvision] ~ ~ ~ tag @a remove hasusedhitvision

execute @a[tag=killaura,tag=!hide,tag=!hashackedbefore] ~ ~ ~ title @s actionbar §bPixel§eAura §a[ON]§r
execute @a[tag=killaura,tag=!hide,tag=!hashackedbefore] ~ ~ ~ tell @s §fCreated by §aAxolotlily§r. Please do not §cpirate§f this addon or I will take §elegal actions§f. But otherwise, §bhave fun§r!
execute @a[tag=killaura,tag=!hashackedbefore] ~ ~ ~ tag @s add hashackedbefore
execute @a[tag=!killaura,tag=hashackedbefore,tag=!hide] ~ ~ ~ title @s actionbar §bPixel§eAura §c[OFF]§r
execute @a[tag=!killaura,tag=hashackedbefore] ~ ~ ~ tag @a remove hashackedbefore

execute @a[tag=core1,scores={Timer2=1}] ~ ~ ~ execute @e[tag=killaura,type=player] ~ ~ ~ effect @e[type=!item,type=!painting,type=!tnt,type=!snowball,type=!xp_orb,tag=!exclude,type=!arrow,type=!armor_stand,type=!splash_potion,tag=!killaura,type=!boat,type=!minecart,type=!hopper_minecart,r=5.3,tag=!hitrangefalse,type=!player] levitation 1 3 true

execute @a[tag=core1,scores={Timer2=1}] ~ ~ ~ execute @e[tag=killaura,type=player] ~ ~ ~ effect @e[r=5.3,tag=!hitrangefalse,type=player,m=!c,tag=!exclude,tag=!killaura] levitation 1 3 true